Package icyllis.modernui.markdown.core

# Class CorePlugin

java.lang.Object
icyllis.modernui.markdown.core.CorePlugin

All Implemented Interfaces:
  `MarkdownPlugin`

public final class CorePlugin extends Object implements MarkdownPlugin

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface icyllis.modernui.markdown.MarkdownPlugin

  `MarkdownPlugin.Registry`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CORE_ORDERED_LIST_ITEM_NUMBER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beforeSetText(TextView textView, Spanned markdown)`
  This method will be called before calling `TextView#setText`.
  `void`
  `configureConfig(MarkdownConfig.Builder builder)`
  `static CorePlugin`
  `create()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface icyllis.modernui.markdown.MarkdownPlugin

  `afterRender, afterSetText, beforeRender, configure, configureParser, configureTheme, processMarkdown`

- ## Field Details

  - ### CORE_ORDERED_LIST_ITEM_NUMBER

    public static final String CORE_ORDERED_LIST_ITEM_NUMBER
    See Also:
      - Constant Field Values

- ## Method Details

  - ### create

    @NonNull public static CorePlugin create()

  - ### configureConfig

    public void configureConfig(@NonNull MarkdownConfig.Builder builder)
    Specified by:
      `configureConfig` in interface `MarkdownPlugin`
    Parameters:
      `builder` -

  - ### beforeSetText

    public void beforeSetText(@NonNull TextView textView, @NonNull Spanned markdown)
    Description copied from interface: `MarkdownPlugin`
    This method will be called before calling `TextView#setText`.

    It can be useful to prepare a TextView for markdown.

    Specified by:
      `beforeSetText` in interface `MarkdownPlugin`
    Parameters:
      `textView` - TextView to which `markdown` will be applied
      `markdown` - Rendered markdown